SimpleXMLIterator::key
SimpleXMLIterator::rewind
SimpleXMLIterator
PHP Manual

# SimpleXMLIterator::next

(PHP 5 >= 5.1.0)

SimpleXMLIterator::next — Move to next element

### Description

void SimpleXMLIterator::next ( void )

This method moves the SimpleXMLIterator to the next element.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Move to the next element

`<?php
$xmlIterator = new SimpleXMLIterator('<books><book>PHP Basics</book><book>XML basics</book></books>');
$xmlIterator->rewind(); // rewind to the first element
$xmlIterator->next();
var_dump($xmlIterator->current());
?>`

The above example will output:

    object(SimpleXMLIterator)#2 (1) {
      [0]=>
      string(10) "XML basics"
    }

SimpleXMLIterator::key
SimpleXMLIterator::rewind
SimpleXMLIterator
PHP Manual